%global with_python3 1

%define srcname Markups

Name:           python-markups
Version:        0.5.0
Release:        1%{?dist}
Summary:        A wrapper around various text markups

License:        BSD
URL:            https://pypi.python.org/pypi/Markups
Source0:        https://pypi.python.org/packages/source/M/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel >= 2.6
BuildRequires:  python-setuptools
Requires:       python >= 2.6
%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif


%description
This module provides a wrapper around the various text markup languages, such
as Markdown and reStructuredText (these two are supported by default).


%if 0%{?with_python3}
%package -n python3-markups
Summary:  A wrapper around various text markups

%description -n python3-markups
This module provides a wrapper around the various text markup languages, such
as Markdown and reStructuredText (these two are supported by default).
%endif


%prep
%setup -q -n %{srcname}-%{version}


%build
%{__python} setup.py build
%if 0%{?with_python3}
%{__python3} setup.py build
%endif


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
%if 0%{?with_python3}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
%endif


%check
%{__python} setup.py test
%if 0%{?with_python3}
%{__python3} setup.py test
%endif


%files
%{python_sitelib}/markups/
%{python_sitelib}/%{srcname}-%{version}-py2.7.egg-info/
%doc LICENSE changelog README

%if 0%{?with_python3}
%files -n python3-markups
%{python3_sitelib}/markups/
%{python3_sitelib}/%{srcname}-%{version}-py3.4.egg-info/
%endif


%changelog
* Fri Aug 08 2014 Nikos Roussos <comzeradd@fedoraproject.org> 0.5.0-1
- Initial version of the package
